## okular 17.04.3

=== debian/changelog ===
okular (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:35:11 +0100

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libchm-dev,
               libdjvulibre-dev,
               libepub-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kexiv2-dev (>= 17.04.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5kjs-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5threadweaver-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpoppler-qt5-dev,
               libqca-qt5-2-dev,
               libqimageblitz-dev,
               libqjson-dev,
               libqmobipocket-dev (>= 4:17.04.3~),
               libqt5svg5-dev (>= 5.6.1~),
               libspectre-dev,
               libtiff-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular

Package: libokular5core7
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libokularcore7 (<< 4:16.12.0)
Replaces: libokularcore7 (<< 4:16.12.0)
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: libokular5core7 (= ${binary:Version}),
         qml-module-org-kde-kirigami,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cups-bsd
Suggests: ghostscript,
          jovie,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar
Provides: pdf-viewer, postscript-viewer
Breaks: kdegraphics-mobipocket (<< 4:4.12),
        okular-extra-backends (<< 4:16.12.1-0ubuntu3),
        okular-mobile (<< 4:16.12.1-0ubuntu3),
        ${kde-l10n:all}
Replaces: okular-extra-backends (<< 4:16.12.1-0ubuntu3),
          okular-mobile (<< 4:16.12.1-0ubuntu3),
          ${kde-l10n:all}
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libokular5core7 (= ${binary:Version}), ${misc:Depends}
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Breaks: okular (<< 4:16.12.1-0ubuntu3),
        okular-mobile (<< 4:16.12.1-0ubuntu3),
        ${kde-l10n:all}
Replaces: okular (<< 4:16.12.1-0ubuntu3),
          okular-mobile (<< 4:16.12.1-0ubuntu3),
          ${kde-l10n:all}
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Microsoft Compiled HTML Help (CHM)
  * Tagged Image File Format (TIFF)
  * DjVu scanned page format
  * EPub eBooks
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml-module-org-kde-kirigami,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ghostscript,
          jovie,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar
Breaks: okular (<< 4:16.12.1-0ubuntu3), ${kde-l10n:all}
Replaces: okular (<< 4:16.12.1-0ubuntu3), ${kde-l10n:all}
Recommends: okular
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

## okular 17.08.3

=== debian/changelog ===
okular (4:17.08.3-3mx17+1) mx; urgency=medium

  * New release repackaged from buster.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 09 Feb 2018 15:17:51 -0800

okular (4:17.08.3-3) unstable; urgency=medium

  * Team upload.

  [ Don Armstrong ]
  * Depend on kinit for kdeinit5 launcher (Closes: #886867)

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:55:01 +0100

okular (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 12:32:50 +0100

okular (4:17.08.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Install the upstream man pages using dh_install files, not with
    dh_installman, as they are installed by upstream.
  * Bump the libqmobipocket-dev build dependency to >= 4:17.08~, so the KF5
    version of it is used. (Closes: #876494)
  * Remove unused libkf5dbusaddons-dev build dependency.
  * Fix Vcs-* fields.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 11:42:23 +0100

okular (4:17.08.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

  [ Jonathan Riddell ]
  * update sig

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:29 +0200

okular (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:06:11 +0000

okular (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:44:48 +0000

okular (4:17.04.2+p16.04+git20170711.1430-0) xenial; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Jul 2017 14:31:49 +0000

okular (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:57 +0000

okular (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:28:33 +0000

okular (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:07:26 +0000

okular (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:40 +0000

okular (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:04:59 +0000

okular (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:26:52 +0000

okular (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:34:20 +0000

okular (4:16.08.90~git11082016-0neon10) xenial; urgency=medium

  * Add xscreensaver to test runtime deps, I can't seem to sort out
    what the other test wants :(

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 11:22:45 -0700

okular (4:16.08.90~git11082016-0neon9) xenial; urgency=medium

  * Update tests to kf5.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 08:03:38 -0700

okular (4:16.08.90~git11082016-0neon8) xenial; urgency=medium

  * Fix inclue path in acc file

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 06:38:39 -0700

okular (4:16.08.90~git11082016-0neon7) xenial; urgency=medium

  * Fix controls qml version. Still working on autopkg test failures.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 06:35:27 -0700

okular (4:16.08.90~git11082016-0neon6) xenial; urgency=medium

  * Add another missing qml dep.
  * Fix acc file to reflect new so file and version as this is a kf5 port.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 05:36:50 -0700

okular (4:16.08.90~git11082016-0neon5) xenial; urgency=medium

  * Some more copyright file cleanup.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 04:52:31 -0700

okular (4:16.08.90~git11082016-0neon4) xenial; urgency=medium

  * Fix Unknown copyright entry.
  * Add missing files.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 18 Nov 2016 04:20:38 -0700

okular (4:16.08.90~git11082016-0neon3) xenial; urgency=medium

  * Add qml deps.

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 17 Nov 2016 04:57:26 -0700

okular (4:16.08.90~git11082016-0neon2) xenial; urgency=medium

  * Fix copyright, install files.
  * Fix lintian overrides.
  * Add package for mobile.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 11 Nov 2016 07:57:44 -0700

okular (16.08.90~git11082016-1) xenial; urgency=medium

  * KF5 port

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 08 Nov 2016 12:39:46 -0700

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libchm-dev,
               libdjvulibre-dev (>= 3.5.17~),
               libepub-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.16.0~),
               libkf5archive-dev (>= 5.16.0~),
               libkf5bookmarks-dev (>= 5.16.0~),
               libkf5completion-dev (>= 5.16.0~),
               libkf5config-dev (>= 5.16.0~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5coreaddons-dev (>= 5.16.0~),
               libkf5doctools-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5kexiv2-dev,
               libkf5khtml-dev,
               libkf5kio-dev (>= 5.16.0~),
               libkf5kjs-dev (>= 5.16.0~),
               libkf5parts-dev (>= 5.16.0~),
               libkf5pty-dev,
               libkf5threadweaver-dev (>= 5.16.0~),
               libkf5wallet-dev (>= 5.16.0~),
               libkf5windowsystem-dev (>= 5.16.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpoppler-qt5-dev (>= 0.12.1~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqmobipocket-dev (>= 4:17.08~),
               libqt5svg5-dev (>= 5.6.0~),
               libspectre-dev (>= 0.2~),
               libtiff-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.0~),
               qtdeclarative5-dev (>= 5.6.0~),
               zlib1g-dev,
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/okular.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/okular.git

Package: libokular5core7
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: libokular5core7 (= ${binary:Version}),
         qml-module-org-kde-kirigami,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         kinit,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups-bsd
Suggests: ghostscript,
          jovie,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Provides: pdf-viewer, postscript-viewer
Breaks: kdegraphics-mobipocket (<< 4:4.12),
        okular-extra-backends (<< 4:16.12.0),
        okular-mobile (<< 4:17.04.1-0),
        ${kde-l10n:all},
Replaces: okular-extra-backends (<< 4:16.12.0),
          okular-mobile (<< 4:17.04.1-0),
          ${kde-l10n:all},
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.16.0~),
         libkf5coreaddons-dev (>= 5.16.0~),
         libkf5xmlgui-dev,
         libokular5core7 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.0~),
         ${misc:Depends},
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Breaks: okular (<< 4:16.12.0), ${kde-l10n:all}
Replaces: okular (<< 4:16.12.0), ${kde-l10n:all}
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml-module-org-kde-kirigami,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ghostscript,
          jovie,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: okular
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-11~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --dbgsym-migration='okular-dbg (<= 16.08.90-1~~)'

## okular 17.12.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "2")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(okular VERSION 1.3.${KDE_APPLICATIONS_VERSION_MICRO})

set(QT_REQUIRED_VERSION "5.6.0")
set(KF5_REQUIRED_VERSION "5.16.0")

find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMOptionalAddSubdirectory)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMAddAppIcon)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMAddAppIcon)
include(CMakePackageConfigHelpers)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX OKULAR
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/core/version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Okular5ConfigVersion.cmake")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Test Widgets PrintSupport Svg Qml Quick)
find_package(Qt5 ${QT_REQUIRED_VERSION} OPTIONAL_COMPONENTS TextToSpeech)
if (NOT Qt5TextToSpeech_FOUND)
    message(STATUS "Qt5TextToSpeech not found, speech features will be disabled")
else()
    add_definitions(-DHAVE_SPEECH)
endif()

find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
    Archive
    Bookmarks
    Completion
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    IconThemes
    JS
    KIO
    Parts
    ThreadWeaver
    Wallet
    WindowSystem
)
if(NOT WIN32)
    find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
        Activities
    )
endif()
find_package(KF5Kirigami2)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by the mobile app"
    TYPE RUNTIME
)
find_package(Phonon4Qt5 CONFIG REQUIRED)
find_package(KDEExperimentalPurpose)
set_package_properties(KDEExperimentalPurpose PROPERTIES
    DESCRIPTION "A framework for services and actions integration"
    PURPOSE "Required for enabling the share menu in Okular"
    TYPE OPTIONAL
)
if (KDEExperimentalPurpose_FOUND)
    set(PURPOSE_FOUND 1)
else()
    set(PURPOSE_FOUND 0)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(ZLIB REQUIRED)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DTRANSLATION_DOMAIN="okular")

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${PHONON_INCLUDES} core/synctex ${ZLIB_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/core)

add_subdirectory( mobile )
option(BUILD_COVERAGE "Build the project with gcov support" OFF)

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS "5.0.0")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override" )
    endif()
endif()

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

add_subdirectory( ui )
add_subdirectory( shell )
add_subdirectory( generators )
add_subdirectory( autotests )
add_subdirectory( conf/autotests )

add_subdirectory(doc)

include(OkularConfigureChecks.cmake)

if(NOT WIN32)
 set(MATH_LIB m)
else(NOT WIN32)
 set(MATH_LIB)
endif(NOT WIN32)

# okularcore

set(okularcore_SRCS
   core/action.cpp
   core/annotations.cpp
   core/area.cpp
   core/audioplayer.cpp
   core/bookmarkmanager.cpp
   core/chooseenginedialog.cpp
   core/document.cpp
   core/documentcommands.cpp
   core/fontinfo.cpp
   core/form.cpp
   core/generator.cpp
   core/generator_p.cpp
   core/misc.cpp
   core/movie.cpp
   core/observer.cpp
   core/debug.cpp
   core/page.cpp
   core/pagecontroller.cpp
   core/pagesize.cpp
   core/pagetransition.cpp
   core/rotationjob.cpp
   core/scripter.cpp
   core/sound.cpp
   core/sourcereference.cpp
   core/textdocumentgenerator.cpp
   core/textdocumentsettings.cpp
   core/textpage.cpp
   core/tilesmanager.cpp
   core/utils.cpp
   core/view.cpp
   core/fileprinter.cpp
   core/script/executor_kjs.cpp
   core/script/kjs_app.cpp
   core/script/kjs_console.cpp
   core/script/kjs_data.cpp
   core/script/kjs_document.cpp
   core/script/kjs_fullscreen.cpp
   core/script/kjs_field.cpp
   core/script/kjs_spell.cpp
   core/script/kjs_util.cpp
   core/synctex/synctex_parser.c
   core/synctex/synctex_parser_utils.c
)

ki18n_wrap_ui(okularcore_SRCS
   conf/textdocumentsettings.ui
)

install( FILES
           core/action.h
           core/annotations.h
           core/area.h
           core/document.h
           core/fontinfo.h
           core/form.h
           core/generator.h
           core/global.h
           core/page.h
           core/pagesize.h
           core/pagetransition.h
           core/sound.h
           core/sourcereference.h
           core/textdocumentgenerator.h
           core/textdocumentsettings.h
           core/textpage.h
           core/tile.h
           core/utils.h
           core/fileprinter.h
           core/observer.h
           ${CMAKE_CURRENT_BINARY_DIR}/core/version.h
           ${CMAKE_CURRENT_BINARY_DIR}/core/okularcore_export.h
           ${CMAKE_CURRENT_BINARY_DIR}/settings_core.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/okular/core COMPONENT Devel)

install( FILES
           interfaces/configinterface.h
           interfaces/guiinterface.h
           interfaces/printinterface.h
           interfaces/saveinterface.h
           interfaces/viewerinterface.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/okular/interfaces COMPONENT Devel)

ki18n_wrap_ui(okularcore_SRCS
   core/chooseenginewidget.ui
)

kconfig_add_kcfg_files(okularcore_SRCS conf/settings_core.kcfgc)

add_library(okularcore SHARED ${okularcore_SRCS})
generate_export_header(okularcore BASE_NAME okularcore EXPORT_FILE_NAME "${CMAKE_CURRENT_BINARY_DIR}/core/okularcore_export.h")

# Special handling for linking okularcore on OSX/Apple
IF(APPLE)
    SET(OKULAR_IOKIT "-framework IOKit" CACHE STRING "Apple IOKit framework")
ENDIF(APPLE)

# Extra library needed by imported synctex code on Windows
if(WIN32)
    set(SHLWAPI shlwapi)
endif(WIN32)

target_link_libraries(okularcore
PRIVATE
    ${OKULAR_IOKIT}
    ${SHLWAPI}
    KF5::Archive
    KF5::JS
    KF5::JSApi
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::I18n
    KF5::ThreadWeaver
    KF5::Wallet
    KF5::Bookmarks
    Phonon::phonon4qt5
    ${MATH_LIB}
    ${ZLIB_LIBRARIES}
PUBLIC  # these are included from the installed headers
    KF5::CoreAddons
    KF5::XmlGui
    KF5::ConfigGui
    Qt5::PrintSupport
    Qt5::Widgets
)

set_target_properties(okularcore PROPERTIES VERSION 8.0.0 SOVERSION 8 OUTPUT_NAME Okular5Core EXPORT_NAME Core)

install(TARGETS okularcore EXPORT Okular5Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES conf/okular.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES conf/okular_core.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES core/okularGenerator.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

# okularpart

set(okularpart_conf_SRCS
   conf/preferencesdialog.cpp
   conf/dlgaccessibility.cpp
   conf/dlgdebug.cpp
   conf/dlgeditor.cpp
   conf/dlggeneral.cpp
   conf/dlgannotations.cpp
   conf/dlgperformance.cpp
   conf/dlgpresentation.cpp
   conf/editannottooldialog.cpp
   conf/editdrawingtooldialog.cpp
   conf/widgetannottools.cpp
   conf/widgetconfigurationtoolsbase.cpp
   conf/widgetdrawingtools.cpp
)

set(okularpart_SRCS
   ${okularpart_conf_SRCS}
   part.cpp
   extensions.cpp
   ui/embeddedfilesdialog.cpp
   ui/annotwindow.cpp
   ui/annotationmodel.cpp
   ui/annotationpopup.cpp
   ui/annotationpropertiesdialog.cpp
   ui/annotationproxymodels.cpp
   ui/annotationtools.cpp
   ui/annotationwidgets.cpp
   ui/bookmarklist.cpp
   ui/debug_ui.cpp
   ui/drawingtoolactions.cpp
   ui/fileprinterpreview.cpp
   ui/findbar.cpp
   ui/formwidgets.cpp
   ui/guiutils.cpp
   ui/ktreeviewsearchline.cpp
   ui/latexrenderer.cpp
   ui/minibar.cpp
   ui/okmenutitle.cpp
   ui/pageitemdelegate.cpp
   ui/pagepainter.cpp
   ui/pagesizelabel.cpp
   ui/pageviewannotator.cpp
   ui/pageviewmouseannotation.cpp
   ui/pageview.cpp
   ui/magnifierview.cpp
   ui/pageviewutils.cpp
   ui/presentationsearchbar.cpp
   ui/presentationwidget.cpp
   ui/propertiesdialog.cpp
   ui/searchlineedit.cpp
   ui/searchwidget.cpp
   ui/sidebar.cpp
   ui/side_reviews.cpp
   ui/snapshottaker.cpp
   ui/thumbnaillist.cpp
   ui/toc.cpp
   ui/tocmodel.cpp
   ui/toolaction.cpp
   ui/videowidget.cpp
   ui/layers.cpp
)

if (Qt5TextToSpeech_FOUND)
   set(okularpart_SRCS ${okularpart_SRCS}
      ui/tts.cpp)
endif()

ki18n_wrap_ui(okularpart_SRCS
   conf/dlgaccessibilitybase.ui
   conf/dlgeditorbase.ui
   conf/dlggeneralbase.ui
   conf/dlgannotationsbase.ui
   conf/dlgperformancebase.ui
   conf/dlgpresentationbase.ui
)

kconfig_add_kcfg_files(okularpart_SRCS conf/settings.kcfgc)

add_library(okularpart SHARED ${okularpart_SRCS})
generate_export_header(okularpart BASE_NAME okularpart)

target_link_libraries(okularpart okularcore
    ${MATH_LIB}
    Qt5::Svg
    Phonon::phonon4qt5
    KF5::Archive
    KF5::Bookmarks
    KF5::I18n
    KF5::IconThemes
    KF5::ItemViews
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KIOWidgets
    KF5::KIONTLM
    KF5::Parts
    KF5::Solid
    KF5::Wallet
    KF5::WindowSystem
)

if (KDEExperimentalPurpose_FOUND)
    target_link_libraries(okularpart KDEExperimental::PurposeWidgets)
endif()

set_target_properties(okularpart PROPERTIES PREFIX "")

if (Qt5TextToSpeech_FOUND)
   target_link_libraries(okularpart Qt5::TextToSpeech)
endif()
install(TARGETS okularpart DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install(FILES okular.upd DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)

install( FILES okular_part.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES part.rc part-viewermode.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/okular )

install( FILES okular.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

########### cmake files #################

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Okular5")
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/Okular5Config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Okular5Config.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/Okular5Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/Okular5ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT Okular5Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Okular5Targets.cmake NAMESPACE Okular::)

########### summary #################

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== shell/CMakeLists.txt ===

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_BINARY_DIR}/../
)


if(NOT WIN32)
set_package_properties("KActivities" PROPERTIES
        DESCRIPTION  "Activities interface library"
        URL "https://projects.kde.org/projects/kde/kdelibs/kactivities"
        TYPE RECOMMENDED
        PURPOSE "Required for Activities integration.")
endif()

# okular

set(okular_SRCS
   main.cpp
   okular_main.cpp
   shell.cpp
   shellutils.cpp
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../ui/data/icons/*-apps-okular.png")
ecm_add_app_icon(okular_SRCS ICONS ${ICONS_SRCS})

add_executable(okular ${okular_SRCS})

target_link_libraries(okular KF5::Parts KF5::WindowSystem)

if(NOT WIN32)
	target_link_libraries(okular KF5::Activities)
endif()

install(TARGETS okular ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


# okular shell data files

install( PROGRAMS org.kde.okular.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES shell.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/okular )
install( FILES org.kde.okular.appdata.xml DESTINATION  ${KDE_INSTALL_METAINFODIR} )

=== generators/comicbook/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_comicbook")

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)


########### next target ###############

set( okularGenerator_comicbook_PART_SRCS
     document.cpp
     generator_comicbook.cpp
     directory.cpp
     unrar.cpp qnatsort.cpp
     unrarflavours.cpp
   )


okular_add_generator(okularGenerator_comicbook ${okularGenerator_comicbook_PART_SRCS})
target_link_libraries(okularGenerator_comicbook okularcore KF5::KIOCore KF5::I18n KF5::Archive)
if (UNIX)
   find_package(KF5 REQUIRED Pty)
   target_link_libraries(okularGenerator_comicbook KF5::Pty)
endif (UNIX)

########### install files ###############
install( FILES okularComicbook.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_comicbook.desktop org.kde.mobile.okular_comicbook.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-comicbook.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/ooo/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_ooo")

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "http://download.kde.org/stable/qca-qt5/"
                       TYPE RECOMMENDED)

if ( Qca-qt5_FOUND )
   add_definitions( -DQCA2 )
endif()

########### next target ###############

set(okularGenerator_ooo_PART_SRCS
  converter.cpp
  document.cpp
  formatproperty.cpp
  generator_ooo.cpp
  manifest.cpp
  styleinformation.cpp
  styleparser.cpp
)


okular_add_generator(okularGenerator_ooo ${okularGenerator_ooo_PART_SRCS})

target_link_libraries(okularGenerator_ooo okularcore KF5::KIOCore KF5::Archive KF5::I18n KF5::Wallet ${MATH_LIB} Qt5::Xml)
if (Qca-qt5_FOUND)
  target_link_libraries(okularGenerator_ooo okularcore qca-qt5)
endif ()

########### install files ###############
install( FILES okularOoo.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_ooo.desktop org.kde.mobile.okular_ooo.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-ooo.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/poppler/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_poppler")

add_subdirectory( conf )

if (Poppler_VERSION VERSION_GREATER "0.23.99")
  set (HAVE_POPPLER_0_24 1)
endif()

if (Poppler_VERSION VERSION_GREATER "0.27.99")
  set (HAVE_POPPLER_0_28 1)
endif()

if (Poppler_VERSION VERSION_GREATER "0.35.99")
  set (HAVE_POPPLER_0_36 1)
endif()

if (Poppler_VERSION VERSION_GREATER "0.36.99")
  set (HAVE_POPPLER_0_37 1)
endif()

set(CMAKE_REQUIRED_LIBRARIES Poppler::Qt5 Qt5::Core Qt5::Gui)

check_cxx_source_compiles("
#include <poppler-qt5.h>
int main()
{
  Poppler::LinkOCGState *l = 0;
  return 0;
}
" HAVE_POPPLER_0_50)

check_cxx_source_compiles("
#include <poppler-qt5.h>
#include <poppler-form.h>
int main()
{
  Poppler::FormFieldButton *ff = 0;
  Poppler::Link *l = ff->additionalAction(Poppler::FormField::CalculateField);
  return 0;
}
" HAVE_POPPLER_0_53)

check_cxx_source_compiles("
#include <poppler-qt5.h>
int main()
{
  Poppler::Document::RenderHint hint = Poppler::Document::HideAnnotations;
  return 0;
}
" HAVE_POPPLER_0_60)

check_cxx_source_compiles("
#include <poppler-qt5.h>
#include <QImage>
int main()
{
  Poppler::Page *p;
  p->renderToImage(0, 0, 0, 0, 0, 0, Poppler::Page::Rotate0, nullptr, nullptr, QVariant());
  return 0;
}
" HAVE_POPPLER_0_62)

configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-okular-poppler.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-okular-poppler.h
)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)

########### next target ###############

set(okularGenerator_poppler_PART_SRCS
   generator_pdf.cpp
   formfields.cpp
   annots.cpp
)

ki18n_wrap_ui(okularGenerator_poppler_PART_SRCS
   conf/pdfsettingswidget.ui
)

kconfig_add_kcfg_files(okularGenerator_poppler_PART_SRCS conf/pdfsettings.kcfgc )

okular_add_generator(okularGenerator_poppler ${okularGenerator_poppler_PART_SRCS})

target_link_libraries(okularGenerator_poppler okularcore KF5::I18n KF5::Completion Poppler::Qt5 Qt5::Xml)

########### install files ###############
install( FILES okularPoppler.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_pdf.desktop org.kde.mobile.okular_pdf.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-poppler.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
okular (4:17.12.2-2.2+deb10u1) buster; urgency=medium

  * CVE-2020-9359 (Closes: #954891)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 07 Oct 2020 22:57:59 +0200

okular (4:17.12.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Breaks+Replaces against okular-l10n from lenny. (Closes: #911641)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 24 Mar 2019 13:05:50 +0100

okular (4:17.12.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix path traversal issue when extracting an .okular file
    (CVE-2018-1000801) (Closes: #908168)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 02 Dec 2018 12:27:39 +0100

okular (4:17.12.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Feb 2018 06:57:20 +0100

okular (4:17.12.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release: (Closes: #887746)
    - allows one to save changed document archives (Closes: #598806)
  * Rename libokular5core7 to libokular5core8, according to the upstream SONAME
    bump.
  * Add the libmarkdown2-dev, and libzip-dev build dependencies, optionally
    needed by the new version (for CHM and Mardown backends).
  * Update install files.
  * Split the QML module from okular to a separate qml-module-org-kde-okular:
    this way the main application does not contain QML-related files, and
    dependencies anymore
    - make okular-mobile depend on this new module
    - remove all the QML dependencies from okular
  * Tighten the inter-library dependencies.
  * Switch the qml-module-org-kde-kirigami dependency in okular-mobile to
    qml-module-org-kde-kirigami2, as it is used now.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 17:48:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
@@ -30,6 +29,7 @@
                libkf5threadweaver-dev (>= 5.16.0~),
                libkf5wallet-dev (>= 5.16.0~),
                libkf5windowsystem-dev (>= 5.16.0~),
+               libmarkdown2-dev,
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libpoppler-qt5-dev (>= 0.12.1~),
@@ -39,6 +39,7 @@
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libx11-dev,
+               libzip-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.0~),
@@ -49,7 +50,7 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/okular.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/okular.git
 
-Package: libokular5core7
+Package: libokular5core8
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -61,13 +62,7 @@
 Package: okular
 Section: graphics
 Architecture: any
-Depends: libokular5core7 (= ${binary:Version}),
-         qml-module-org-kde-kirigami,
-         qml-module-org-kde-kquickcontrolsaddons,
-         qml-module-qt-labs-folderlistmodel,
-         qml-module-qtgraphicaleffects,
-         qml-module-qtquick-controls,
-         kinit,
+Depends: kinit,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: cups-bsd
@@ -81,9 +76,11 @@
 Breaks: kdegraphics-mobipocket (<< 4:4.12),
         okular-extra-backends (<< 4:16.12.0),
         okular-mobile (<< 4:17.04.1-0),
+        okular-l10n,
         ${kde-l10n:all},
 Replaces: okular-extra-backends (<< 4:16.12.0),
           okular-mobile (<< 4:17.04.1-0),
+          okular-l10n,
           ${kde-l10n:all},
 Description: universal document viewer
  Okular is a universal document viewer with support for advanced document
@@ -107,7 +104,7 @@
 Depends: libkf5config-dev (>= 5.16.0~),
          libkf5coreaddons-dev (>= 5.16.0~),
          libkf5xmlgui-dev,
-         libokular5core7 (= ${binary:Version}),
+         libokular5core8 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.0~),
          ${misc:Depends},
 Description: development files for the Okular libraries
@@ -140,10 +137,25 @@
  .
  This package is part of the KDE graphics module.
 
+Package: qml-module-org-kde-okular
+Architecture: any
+Depends: qml-module-qtgraphicaleffects,
+         qml-module-qtquick-controls2,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: okular (<< 4:17.12.2~),
+Replaces: okular (<< 4:17.12.2~),
+Description: mobile support for Okular - QML modules
+ This package contains the QML module for interfacing with the Okular core
+ library.
+ .
+ This package is part of the KDE graphics module.
+
 Package: okular-mobile
 Architecture: any
-Depends: qml-module-org-kde-kirigami,
+Depends: qml-module-org-kde-kirigami2,
          qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-org-kde-okular (= ${binary:Version}),
          qml-module-qtgraphicaleffects,
          qml-module-qtquick-controls2,
          ${misc:Depends},

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus,
         texlive-latex-base, xscreensaver
Restrictions: build-needed
